Bug 58988 - (SCSI CPQARRAY)Linux 2.4.9-21 failed to mount root partition with CompaQ SMART2
(SCSI CPQARRAY)Linux 2.4.9-21 failed to mount root partition with CompaQ SMART2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 17:47 EST by Emiliano Valente
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emiliano Valente 2002-01-28 17:47:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
Upgrading from Linux 2.4.9-13 to 2.4.9-21 with a pretty same /usr/src/linux-
2.4/.config  the kernel is unable to mount the root device at boot time; and 
stop with "bad root= option" for lilo.
This problems appears on CompaQ DL580, DL380 with SMART 4XX controller.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel-source and kernel-headers from 2.4.9-13 to 2.4.9-21
2. Compile a brand new kernel without initrd support and with cpqarray module 
build in in the kernel
3. reboot
	

Actual Results:  unable to mount root device

Expected Results:  --

Additional info:

I usally compile a custom kernel and do not use initrd with a lilo entry like

image=/boot/vmlinuz
        label=linux
        root=/dev/ida/c0d0p1
Comment 1 Bugzilla owner 2004-09-30 11:39:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.